{
"data": {
"uuid": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"title": "Standard service-point shipment",
"description": "Service, parties, contents and packaging to prefill a shipment.",
"shipment": {
"invoice_number": "INV-1042",
"reference": "ORDER-1042",
"identifier": "shop-order-1042",
"uri": "https://shop.example.com/admin/orders/1042",
"delivery": {
"service_code": "postnord_agent",
"pickup_point": {
"country": "DK",
"code": "12345"
},
"addons": [
{
"code": "SIGNATURE"
}
],
"delivery_window": {
"earliest": "2026-09-17T08:00:00Z",
"latest": "2026-09-17T16:00:00Z"
},
"incoterm": "DAP"
},
"parties": {
"merchant": {
"reference": "SHOP-DK",
"identifier": "shop-1",
"uri": "https://shop.example.com",
"address": {
"address_lines": [
"Eksempelgade 1"
],
"postal_code": "2100",
"city": "Copenhagen",
"country": "DK",
"administrative_area": "84"
},
"contact": {
"name_lines": [
"Example Shop"
],
"company": "Example Shop ApS",
"email": "shop@example.com",
"phone": "+4587654321"
},
"identifiers": {
"vat": "DK12345678",
"eori": "DK12345678",
"gb_eori": "GB123456789000",
"tax_id": "12345678",
"voec": "2000123"
}
},
"customer": {
"reference": "CUSTOMER-2048",
"identifier": "customer-2048",
"uri": "https://shop.example.com/admin/customers/2048",
"address": {
"address_lines": [
"Eksempelvej 10"
],
"postal_code": "8000",
"city": "Aarhus C",
"country": "DK",
"administrative_area": "82"
},
"contact": {
"name_lines": [
"Example Customer"
],
"company": "Example Design ApS",
"email": "customer@example.com",
"phone": "+4512345678"
},
"identifiers": {
"vat": "DK87654321",
"eori": "DK87654321",
"gb_eori": "GB987654321000",
"tax_id": "87654321",
"voec": "2000456"
}
}
},
"parcels": [
{
"reference": "ORDER-1042-1",
"identifier": "shop-parcel-1",
"freetext": "Gift wrapped; keep dry.",
"gross_weight": {
"value": 1500,
"unit": "g"
},
"length": {
"value": 30,
"unit": "cm"
},
"width": {
"value": 20,
"unit": "cm"
},
"height": {
"value": 15,
"unit": "cm"
},
"total_net_amount": {
"value": 20000,
"currency": "DKK"
},
"tax_amount": {
"value": 5000,
"currency": "DKK"
},
"duty_amount": {
"value": 0,
"currency": "DKK"
},
"items": [
{
"reference": "TSHIRT-BLUE-M",
"identifier": "order-line-9001",
"uri": "https://shop.example.com/products/blue-t-shirt",
"image_url": "https://shop.example.com/images/blue-t-shirt.jpg",
"sku": "TSHIRT-BLUE-M",
"location": "A1-04",
"name": "Blue cotton T-shirt, size M",
"description": "Two blue cotton T-shirts",
"tariff_code": "610910",
"country_of_origin": "DK",
"quantity": 2,
"total_net_amount": {
"value": 20000,
"currency": "DKK"
},
"tax_amount": {
"value": 5000,
"currency": "DKK"
},
"duty_amount": {
"value": 0,
"currency": "DKK"
},
"net_weight": {
"value": 1000,
"unit": "g"
},
"cost_amount": {
"value": 10000,
"currency": "DKK"
}
}
]
}
],
"total_net_amount": {
"value": 20000,
"currency": "DKK"
},
"tax_amount": {
"value": 5000,
"currency": "DKK"
},
"duty_amount": {
"value": 0,
"currency": "DKK"
},
"shipping_net_amount": {
"value": 3920,
"currency": "DKK"
},
"shipping_tax_amount": {
"value": 980,
"currency": "DKK"
},
"content_type": "commercial_goods"
},
"created_at": "2026-09-18T14:00:00Z",
"updated_at": "2026-09-18T14:00:00Z"
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "The requested resource was not found."
}{
"message": "The given data was invalid.",
"errors": {
"field_name": [
"This field is required."
]
}
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}{
"message": "Service Unavailable"
}Update a shipment template
Updates the reusable booking input in a shipment template.
{
"data": {
"uuid": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"title": "Standard service-point shipment",
"description": "Service, parties, contents and packaging to prefill a shipment.",
"shipment": {
"invoice_number": "INV-1042",
"reference": "ORDER-1042",
"identifier": "shop-order-1042",
"uri": "https://shop.example.com/admin/orders/1042",
"delivery": {
"service_code": "postnord_agent",
"pickup_point": {
"country": "DK",
"code": "12345"
},
"addons": [
{
"code": "SIGNATURE"
}
],
"delivery_window": {
"earliest": "2026-09-17T08:00:00Z",
"latest": "2026-09-17T16:00:00Z"
},
"incoterm": "DAP"
},
"parties": {
"merchant": {
"reference": "SHOP-DK",
"identifier": "shop-1",
"uri": "https://shop.example.com",
"address": {
"address_lines": [
"Eksempelgade 1"
],
"postal_code": "2100",
"city": "Copenhagen",
"country": "DK",
"administrative_area": "84"
},
"contact": {
"name_lines": [
"Example Shop"
],
"company": "Example Shop ApS",
"email": "shop@example.com",
"phone": "+4587654321"
},
"identifiers": {
"vat": "DK12345678",
"eori": "DK12345678",
"gb_eori": "GB123456789000",
"tax_id": "12345678",
"voec": "2000123"
}
},
"customer": {
"reference": "CUSTOMER-2048",
"identifier": "customer-2048",
"uri": "https://shop.example.com/admin/customers/2048",
"address": {
"address_lines": [
"Eksempelvej 10"
],
"postal_code": "8000",
"city": "Aarhus C",
"country": "DK",
"administrative_area": "82"
},
"contact": {
"name_lines": [
"Example Customer"
],
"company": "Example Design ApS",
"email": "customer@example.com",
"phone": "+4512345678"
},
"identifiers": {
"vat": "DK87654321",
"eori": "DK87654321",
"gb_eori": "GB987654321000",
"tax_id": "87654321",
"voec": "2000456"
}
}
},
"parcels": [
{
"reference": "ORDER-1042-1",
"identifier": "shop-parcel-1",
"freetext": "Gift wrapped; keep dry.",
"gross_weight": {
"value": 1500,
"unit": "g"
},
"length": {
"value": 30,
"unit": "cm"
},
"width": {
"value": 20,
"unit": "cm"
},
"height": {
"value": 15,
"unit": "cm"
},
"total_net_amount": {
"value": 20000,
"currency": "DKK"
},
"tax_amount": {
"value": 5000,
"currency": "DKK"
},
"duty_amount": {
"value": 0,
"currency": "DKK"
},
"items": [
{
"reference": "TSHIRT-BLUE-M",
"identifier": "order-line-9001",
"uri": "https://shop.example.com/products/blue-t-shirt",
"image_url": "https://shop.example.com/images/blue-t-shirt.jpg",
"sku": "TSHIRT-BLUE-M",
"location": "A1-04",
"name": "Blue cotton T-shirt, size M",
"description": "Two blue cotton T-shirts",
"tariff_code": "610910",
"country_of_origin": "DK",
"quantity": 2,
"total_net_amount": {
"value": 20000,
"currency": "DKK"
},
"tax_amount": {
"value": 5000,
"currency": "DKK"
},
"duty_amount": {
"value": 0,
"currency": "DKK"
},
"net_weight": {
"value": 1000,
"unit": "g"
},
"cost_amount": {
"value": 10000,
"currency": "DKK"
}
}
]
}
],
"total_net_amount": {
"value": 20000,
"currency": "DKK"
},
"tax_amount": {
"value": 5000,
"currency": "DKK"
},
"duty_amount": {
"value": 0,
"currency": "DKK"
},
"shipping_net_amount": {
"value": 3920,
"currency": "DKK"
},
"shipping_tax_amount": {
"value": 980,
"currency": "DKK"
},
"content_type": "commercial_goods"
},
"created_at": "2026-09-18T14:00:00Z",
"updated_at": "2026-09-18T14:00:00Z"
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "The requested resource was not found."
}{
"message": "The given data was invalid.",
"errors": {
"field_name": [
"This field is required."
]
}
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}{
"message": "Service Unavailable"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Preferred language(s) for translatable content using BCP 47 language tags. Supports quality values (q-factors) for priority ordering. The API negotiates the best available language based on this header, the team's configured language, and available translations. If omitted, the team's default language is used.
"da-DK, da;q=0.9, en;q=0.8"
Optional client-supplied request identifier. When provided and matching the validation pattern, the value is echoed back in the Request-ID response header. Otherwise the server generates one. Use this to correlate requests between client and server when reporting issues.
1 - 64^[A-Za-z0-9._-]{1,64}$Path Parameters
Team uuid. All resources are scoped to this team.
UUID of the shipment template
Body
Create or update a template using title, an optional description and partial shipment input. Request bodies have no outer data wrapper.
Human-readable name for the template.
255Partial booking input to prefill a shipment. This is a reusable set of input fields, not a created shipment resource; it has no shipment UUID or booking state.
Show child attributes
Show child attributes
Optional description of what the template is used for.
Response
Shipment template updated successfully
A saved template with its own identity, display metadata and partial shipment input. Successful responses wrap this template in data; its reusable booking fields are in shipment.
Show child attributes
Show child attributes
Was this page helpful?